MultiValuePanel (gCube WS Mail Widget 1.7.0-3.4.0 API)
Date: 2014-10-01

org.gcube.portlets.widgets.wsmail.client.multisuggests

## Class MultiValuePanel

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.widgets.wsmail.client.multisuggests.MultiValuePanel

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class MultiValuePanel
      extends com.google.gwt.user.client.ui.Composite

  Author:
    Massimiliano Assante, ISTI-CNR Facebook style autocompleter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiValuePanel(com.google.gwt.event.shared.HandlerManager eventBus)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRecipient(String fullName)` insert the recipient view in the flow panel for simple Reply
    `void` | `addRecipients(ArrayList<String> fullNames)` insert the recipients view in the flow panel for Reply all
    `void` | `clearList()`
    `ArrayList<WSUser>` | `getAllUsers()`
    `WSUser` | `getCurrentUser()`
    `ArrayList<String>` | `getSelectedUserIds()`
    `void` | `setFocusOn()`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiValuePanel

          public MultiValuePanel(com.google.gwt.event.shared.HandlerManager eventBus)

      Parameters:
        `eventBus` - the eventbus to fire events

  - ### Method Detail

    - #### addRecipient

          public void addRecipient(String fullName)

      insert the recipient view in the flow panel for simple Reply

    - #### addRecipients

          public void addRecipients(ArrayList<String> fullNames)

      insert the recipients view in the flow panel for Reply all

    - #### setFocusOn

          public void setFocusOn()

    - #### getSelectedUserIds

          public ArrayList<String> getSelectedUserIds()

      Returns:
        the screennames of the addressee (user logins e.g. pino.pini)

    - #### getAllUsers

          public ArrayList<WSUser> getAllUsers()

    - #### getCurrentUser

          public WSUser getCurrentUser()

    - #### clearList

          public void clearList()

Copyright © 2014. All Rights Reserved.